데이터 보안
시큐어코딩
제품소개다운받기
  • 현존하는 모든 정적 분석 이론을 적용한 SPARROW는 특히 이론적인 연구와 오랜 경험이 필요한 시맨틱 기술을 통해   단순한 패턴 방식으로는 분석이 어려운 조건문, Loop, 구조체 등의 상태변화까지도 정확히 분석합니다.
    SPARROW는 보다 높은 기술력을 요하는 품질관리 시장에  먼저 진출하였습니다. SPARROW SCE는 공공 및 금융권의  품질 시장에서 검증 받은 우수한 성능의 분석엔진을 기반으로 소스코드 상의 보안 취약점을 검출합니다.
주요기능
구성도
  • SPARROW SCE는 컴파일러처럼 소스코드를 파싱하여 분석하기 최적화된 구조로 변환한 후, 분석엔진에서 룰 기반의 소스코드 분석을 수행합니다. Eclipse 등 주요 IDE에 Plug-in을 제공하여 기존 개발 환경에도 쉽게 적용할 수 있습니다.
운영환경
구분 요구 기능

SPARROW 서버

지원 환경

H/W ㆍCPU : 2GHz 이상 권장
ㆍRAM : 4GB 이상 권장
ㆍHDD : 최소 10GB(분석 데이터에 따라 다름)
OS ㆍWindows 2000 Server 이상
ㆍUbuntu Linux 8.04 이상
ㆍRedhat Linux 5 이상
ㆍFedora 8이상
ㆍCentOS 5 이상
WAS ㆍJDK 1.6 이상(내부 프로그램에 포함)
ㆍTomcat 5.5.x 이상(내부 프로그램에 포함)

SAPRROW

클라이언트

지원 환경

H/W ㆍCPU : 2GHz 이상 권장
ㆍRAM : 2GB 이상 권장
ㆍHDD : 최소 10GB(분석 데이터에 따라 다름)
OS ㆍWindows 2000 Server 이상
ㆍUbuntu Linux 8.04 이상
ㆍRedhat Linux 5 이상
ㆍFedora 8이상
ㆍCentOS 5 이상
ㆍAIX 5.1 이상
ㆍHP_UX 11.x 이상
ㆍSUN_OS 5.6 이상
ㆍMAC_OS 10.6 이상

DBMS

Postgresql 9(내부 프로그램에 포함)
Language ㆍC/C++/Proc [.c /.cpp /.pc / .sc / .h / .hpp / .cc ]
ㆍJava [ .java 외 ]

Compiler / IDE

ㆍC/C++/Proc : AIXCC, SUNCC, HPUXCC 등 24개 컴파일러 지원
ㆍJava : JDK1.4 이상 지원
ㆍVisual Studio 6 이상 지원
ㆍEclipse 3.2 이상 지원
다국어 지원 ㆍ완벽한 Unicode 지원
ㆍ다국어 UI 지원 (한국어/영어)
정화석 과장 : 010-2560-4082 / pillar124@it-ace.co.kr
제품/견적 문의